#if !defined(AFX_PORTFOLIOSET_H__CA4A97D8_278B_11D4_9FC0_080009EE62AA__INCLUDED_)
#define AFX_PORTFOLIOSET_H__CA4A97D8_278B_11D4_9FC0_080009EE62AA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PortfolioSet.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CPortfolioSet DAO recordset

class CPortfolioSet : public CDaoRecordset
{
public:
	int GetNextID();
	CPortfolioSet(CDaoDatabase* pDatabase = NULL);
	DECLARE_DYNAMIC(CPortfolioSet)

// Field/Param Data
	//{{AFX_FIELD(CPortfolioSet, CDaoRecordset)
	long	m_PortfolioID;
	long	m_StockID;
	COleDateTime	m_PurchaseDate;
	double	m_PurchasePrice;
	long	m_Shares;
	//}}AFX_FIELD

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPortfolioSet)
	public:
	virtual CString GetDefaultDBName();		// Default database name
	virtual CString GetDefaultSQL();		// Default SQL for Recordset
	virtual void DoFieldExchange(CDaoFieldExchange* pFX);  // RFX support
	//}}AFX_VIRTUAL

// Implementation
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PORTFOLIOSET_H__CA4A97D8_278B_11D4_9FC0_080009EE62AA__INCLUDED_)
